Websites - Add Allowed Ip Addresses

Add allowed IP addresses on a Power Pages website.
These IP addresses will be able to access the website.

POST https://api.powerplatform.com/powerpages/environments/{environmentId}/websites/{id}/ipaddressrules?api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The environment ID.

id
path True

string

Website unique identifier (ID).

api-version
query True

string

The API version.

Request Body

Name Type Description
IpAddresses

IpAddresses[]

Responses

Name Type Description
200 OK

IpAddressEntity[]

Success

400 Bad Request

ErrorMessage

Bad Request

401 Unauthorized

ErrorMessage

Unauthorized

404 Not Found

ErrorMessage

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
Details
Error
ErrorMessage
IpAddressConfiguration
IpAddressEntity

Represents an IP address entry in the allow list

IpAddresses
IpAddressType

The type of the IP address

Details

Name Type Description
code

string

Error code

message

string

Error message

target

string

Target parameter

Error

Name Type Description
code

string

Error code

details

Details[]

message

string

Error message

target

string

Target parameter

ErrorMessage

Name Type Description
error

Error

IpAddressConfiguration

Name Type Description
IpAddresses

IpAddresses[]

IpAddressEntity

Represents an IP address entry in the allow list

Name Type Description
CreatedOn

string (date-time)

The creation timestamp of the IP address entry

IpAddress

string

The IP address or CIDR range

IpType

IpAddressType

The type of the IP address

LastModifiedOn

string

The last modification timestamp of the IP address entry

TenantId

string (uuid)

The unique identifier of the tenant

IpAddresses

Name Type Description
IpAddress

string

The IP address or CIDR range

IpAddressType

IpAddressType

The type of the IP address

IpAddressType

The type of the IP address

Value Description
IPv4
IPv6